<!-- #{extends 'common/create-template.html' /}
#{set 'title'}
Registrasi Admin Konten
#{/set} -->
#{extends 'common/landing-base.html' /}
#{set 'title'}
Registrasi Admin K/L
#{/set}

<div class="ui divider hidden"></div>
<div class="ui divider hidden"></div>
<div class="ui divider hidden"></div>

<style>.form-control { border-color: #000000 !important;}</style>
<div class="ui container">
    <h2 class="header">Registrasi Admin Konten</h2>
    
    <div class="ui grid">
        <div class="sixteen wide column">
            #{user-management.alert-semantic /}
        </div>
        <div class="ui divider hidden"></div>
    </div>
    <form action="@{storeRegisterAdminKonten()}" method="post">
        <input type="hidden" name="model.email" value="${email}" >
        <input type="hidden" name="model.token" value="${token}" >
        <input type="hidden" name="model.action" value="${action}" >
        <div class="ui form">
            
            <div class="inline fields">
                <div class="two wide field">
                    <label for="email2">Username</label>
                </div>
                <div class="eight wide field #{errorClass 'model.name'/}">
                    <input type="text" disabled readonly required id="email2" name="email2" value="${email}"  placeholder="Silahkan masukkan username anda">
                    <span class="help-block">#{error 'email2' /}</span>
                </div>
            </div>
            <div class="inline fields">
                <div class="two wide field">
                    <label for="name">Nama Lengkap</label>
                </div>
                <div class="eight wide field #{errorClass 'name'/}">
                    <input type="text"  required id="name" name="model.name" placeholder="Silahkan masukkan nama anda">
                    <span class="help-block">#{error 'name' /}</span>
                </div>
            </div>
            <div class="inline fields">
                <div class="two wide field">
                    <label for="phone">Handphone</label>
                </div>
                <div class="eight wide field #{errorClass 'model.phone'/}">
                    <input type="text" required id="phone" name="model.phone" value="${model?.phone}" placeholder="Silahkan masukkan nomor anda">
                    <span class="help-block">#{error 'model.phone' /}</span>
                </div>
            </div>
            <div class="inline fields">
                <div class="two wide field">
                    <label for="passwd">Password</label>
                </div>
                <div class="eight wide field #{errorClass 'model.password'/}">
                    <input type="password" required id="passwd" name="model.password" placeholder="Silahkan masukkan password anda">
                    <span class="help-block">#{error 'model.password' /}</span>
                </div>
            </div>

            <div class="inline fields">
                <div class="two wide field">
                    <label for="passwdagain">Ulangi Password</label>
                </div>
                <div class="eight wide field #{errorClass 'passwdagain'/}">
                    <input type="password" required id="passwdagain" name="passwdagain" placeholder="Silahkan ulangi password anda">
                    <span class="help-block">#{error 'passwdagain' /}</span>
                </div>
            </div>

            <div class="inline fields">
                <div class="two wide field">
                    <label for="kldi_id">DAFTAR K/L/P/D</label>
                </div>
                <div class="eight wide field ">
                    <select class="ui search dropdown" id="kldi_id" name="model.kldi_id" readonly style="margin: 0 .85714286em 0 0;">
                        #{list daftarkl, as: 'daftar'}
                        <option value="${daftar.id}" selected>${daftar.nama_instansi}</option>
                        #{/list}
                    </select>
                </div>
            </div>
            <div class="inline fields">
                <div class="two wide field"></div>
                <div class="two wide field">
                    <a href='@{backLogin()}' class="ui button basic negative"><i class="ui chevron left icon"></i> Kembali</a>
                </div>
                <div class="two wide field">
                    <button type="submit" class="ui primary basic button">  <i class="ui edit outline icon"></i> Daftar</button>
                </div>
            </div>
        </div>
    </form>
</div>
